# Users: get

**Requires [authorization](https://developers.google.com/blogger/docs/3.0/reference/users/get#auth)**

Retrieves a user by user ID.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/users/get#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/users/get#examples).

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/users/userId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `userId` | `string` | Either the numeric ID of the current user, or `self`. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/blogger/docs/3.0/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |
| `https://www.googleapis.com/auth/blogger.readonly` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an [Users resource](https://developers.google.com/blogger/docs/3.0/reference/users#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-UsersGet-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
Get usersGetAction = blogger.users().get("self");

// Restrict the result content to just the data we need.
usersGetAction.setFields("displayName,url");

// This step sends the request to the server.
User user = usersGetAction.execute();

// Now we can navigate the response.
System.out.println("Display Name: " + user.getDisplayName());
System.out.println("Profile URL: " + user.getUrl());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.